package org.auxilum.opengl.robot;

// Standard
import java.io.*;

public class RobotProgramList 
{
	
	/** 
	 *	Returns the file names of all the program available for this robot 
	 **/
	public static String[] getList(String path)
	{
		File file = new File(path);
		File[] files = file.listFiles();
		String[] filenames = new String[files.length];
		
		int a = 0;
		for (int i = 0; i < files.length; i++)
		{
			if (files[i].isFile())
			{
				filenames[i] = files[i].getName();
				a++;
			}
		}
		
		String[] tmp = new String[a];
		for (int i = 0; i < a; i++)
		{
			tmp[i] = filenames[i];
		}
		
		return tmp;
	}
}
