package org.auxilum.opengl.scene;


public interface Model 
{
	/**
	 *	Returns the unique name of this model
	 **/
	public String getName();
	
	
	/**
	 *	Returns all the meshes that this model is built from
	 **/
	public Mesh[] getMeshes();
	
	
	/**
	 *
	 **/
	public Material[] getMaterials();
	
	
	/**
	 *
	 **/
	public float[] getPosition();
	
	
	/**
	 *
	 **/
	public void setPosition(float[] position);
	
	
	/**
	 *
	 **/
	public void setDoRender(boolean doRender);
	
	
	/**
	 *
	 **/
	public boolean getDoRender();
}
