// Package
package org.auxilum.opengl.scene.util;

// Standard
import java.util.Map;
import java.util.HashMap;

// Custom
import org.auxilum.opengl.scene.Texture;


public class TextureList 
{
	// Attributes
	private Map textures = null;
	
	/**
	 * 
	 **/
	public TextureList() 
	{
		this.textures = new HashMap();
	}
	
	
	/**
	 *
	 **/
	public void addTexture(Texture texture)
	{
		textures.put(texture.getTextureName(), texture);
	}
	
	/**
	 *
	 **/
	public void removeTexture(String name)
	{
		textures.remove(name);
	}
	
	/**
	 *
	 **/
	public Texture getTexture(String textureName)
	{
		return (Texture) textures.get(textureName);
	}
}
