package org.auxilum.opengl.common;


// Standard
import java.awt.*;
import javax.swing.*;


public class AdvancedJPanel extends JPanel
{
	// Attributes
	private Image backgroundImage = null;
	
	/**
	 * 
	 **/
	public AdvancedJPanel() 
	{
		
	}	

	/**
	 *
	 **/
	public void setBackgroundImage(Image image)
	{
		this.backgroundImage = image;
	}	
	
	
	public void paintComponent(Graphics g)
	{
		if (backgroundImage != null)
		{
			int componentWidth = getWidth();
			int imgWidth = backgroundImage.getWidth(this);
			int max = (int)Math.ceil((double)componentWidth / (double)imgWidth);
			for (int i = 0; i < max; i+=imgWidth)
			{
				g.drawImage(backgroundImage, i, 0, this);
			}
		}
	}
}
