package org.auxilum.opengl.robot;

/**
 *
 **/
public class Axis 
{
	// Attributes
	private String name = null;
	private float minAngle;
	private float maxAngle;
	private float currentAngle;
	
	
	/**
	 *	
	 **/
	public Axis(String name, float minAngle, float maxAngle, float initAngle) 
	{
		this.name = name;
		this.minAngle = minAngle;
		this.maxAngle = maxAngle;
		this.currentAngle = initAngle;
	}
	
	/**
	 *
	 **/
	public String getName()
	{
		return this.name;
	}	
	
	
	/**
	 *
	 **/
	public float getMinAngle()
	{
		return this.minAngle;		
	}


	/**
	 *
	 **/
	public float getMaxAngle()
	{
		return this.maxAngle;		
	}
	
	/**
	 *
	 **/
	public float getCurrentAngle()
	{
		return this.currentAngle;		
	}
	
	
	/**
	 *
	 **/
	public void setCurrentAngle(float newAngle)
	{
				// Check if valid range
		if (newAngle < getMinAngle() || newAngle > getMaxAngle())
		{
		/*
			throw new IllegalArgumentException("Angle specified for axis " 
											+ getName() 
											+ " is out of range. Allowed range: " 
											+ getMinAngle() 
											+ " to " 
											+ getMaxAngle()
											+ ". Value specified: " 
											+ newAngle);
		*/
		}
		else
		{
			// All OK, set new angle
			this.currentAngle = newAngle;
		}
	}
}
