package org.auxilum.opengl.robot;


public class RobotStatus
{
	private Axis[] axises = null;
	
	/**
	 * 
	 **/
	public RobotStatus(Axis[] axises) 
	{
		this.axises = axises;
	}
	
	
	/**
	 *
	 **/
	public void setAxisAngle(int axisIndex, float newAngle)
	{
		axises[axisIndex].setCurrentAngle(newAngle);
	}
	
	/**
	 *
	 **/
	public float getAxisAngle(int axisIndex)
	{
		return this.axises[axisIndex].getCurrentAngle();
	}
	
	
	/**
	 *
	 **/
	public Axis[] getAxises()
	{
		return this.axises;
	}
	
	/**
	 *
	 **/
	public Axis getAxis(int id)
	{
		return this.axises[id];
	}
}
